List all wallets
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/wallet \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/wallet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/wallet")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/wallet",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"id": "e7efc60f-247d-4ecc-b04b-c4810df25758",
"business_id": "9d469b3f-ca6c-4e82-8b4f-5f323c9ab03e",
"currency": "NGN",
"currency_id": "9d469b3f-ca6c-4e82-8b4f-5f323c9ab03e",
"amount": 0,
"is_active": true
},
{
"id": "wallet_cad_456",
"business_id": "9d469b3f-ca6c-4e82-8b4f-5f323c9ab03e",
"currency": "CAD",
"currency_id": "currency_cad_id",
"amount": 25000,
"is_active": true
}
]{
"message": "Invalid or missing access token"
}Wallet
List all wallets
Retrieve all business wallets. Required scope: wallet:read.
GET
/
api
/
external
/
wallet
List all wallets
Authorizations
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
Response
Wallets retrieved successfully
Unique identifier for the wallet
Business identifier
Currency code for this wallet (e.g., NGN, CAD, USD)
Currency identifier
Current wallet balance
Whether the wallet is active
Was this page helpful?
⌘I

